package com.lightinit.hsdataplatform.model.admin;

import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

public class ContractResourceAddModel {

    private Long id ;

    private Long publishInfoId ;

    private String resourceName ;

    private String resourceType ;

    private BigDecimal price ;

    private String chargeMethod ;

    private Long useMonthsLimit ;

    private Long useTimesLimit ;

    private String contractResourceName ;

    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date effectiveDate ;

    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date expiriedDate ;

    public Long getPublishInfoId() {
        return publishInfoId;
    }

    public void setPublishInfoId(Long publishInfoId) {
        this.publishInfoId = publishInfoId;
    }

    public String getResourceName() {
        return resourceName;
    }

    public void setResourceName(String resourceName) {
        this.resourceName = resourceName;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public String getChargeMethod() {
        return chargeMethod;
    }

    public void setChargeMethod(String chargeMethod) {
        this.chargeMethod = chargeMethod;
    }

    public Long getUseMonthsLimit() {
        return useMonthsLimit;
    }

    public void setUseMonthsLimit(Long useMonthsLimit) {
        this.useMonthsLimit = useMonthsLimit;
    }

    public Long getUseTimesLimit() {
        return useTimesLimit;
    }

    public void setUseTimesLimit(Long useTimesLimit) {
        this.useTimesLimit = useTimesLimit;
    }

    public Date getEffectiveDate() {
        return effectiveDate;
    }

    public void setEffectiveDate(Date effectiveDate) {
        this.effectiveDate = effectiveDate;
    }

    public Date getExpiriedDate() {
        return expiriedDate;
    }

    public void setExpiriedDate(Date expiriedDate) {
        this.expiriedDate = expiriedDate;
    }

    public String getResourceType() {
        return resourceType;
    }

    public void setResourceType(String resourceType) {
        this.resourceType = resourceType;
    }

    public String getContractResourceName() {
        return contractResourceName;
    }

    public void setContractResourceName(String contractResourceName) {
        this.contractResourceName = contractResourceName;
    }

    public Long getId() {

        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
}
